Debian Bug report logs - #280691
ITA: efax -- Programs to send and receive fax messages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Thu, 11 Nov 2004 02:03:03 UTC

Owned by: MJ Ray <mjr@debian.org>

Severity: normal

Fixed in version efax/1:0.9a-16

Done: MJ Ray (Debian) <mjr@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Filippo Panessa <fpanessa@aliceposta.it>, <wnpp@debian.org>:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Filippo Panessa <fpanessa@aliceposta.it>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: efax -- Programs to send and receive fax messages
Date: Thu, 11 Nov 2004 02:54:53 +0100
Package: wnpp
Severity: normal

The current maintainer of efax, Filippo Panessa <fpanessa@aliceposta.it>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: efax
Binary: efax
Version: 1:0.9a-14
Priority: optional
Section: comm
Maintainer: Filippo Panessa <fpanessa@aliceposta.it>
Build-Depends: debhelper (>= 3.0.0)
Architecture: any
Standards-Version: 3.5.9
Format: 1.0
Directory: pool/main/e/efax
Files: e7e10e80f1799bf943b810d75dd7df75 557 efax_0.9a-14.dsc
 28abef47d9700eb1c20bf5770565aa7d 97402 efax_0.9a.orig.tar.gz
 fecbb44eb28a51e62f79d8f092d4df1e 21906 efax_0.9a-14.diff.gz

Package: efax
Priority: optional
Section: comm
Installed-Size: 304
Maintainer: Filippo Panessa <fpanessa@aliceposta.it>
Architecture: i386
Version: 1:0.9a-14
Depends: libc6 (>= 2.3.2.ds1-4), libpaperg | libpaper-utils, debconf (>= 0.2.0), make
Suggests: gs, xloadimage | imagemagick | mgetty-viewfax
Filename: pool/main/e/efax/efax_0.9a-14_i386.deb
Size: 113446
MD5sum: 8613fa65c556a75eb0f27b0f6299f309
Description: Programs to send and receive fax messages
 efax is a small ANSI C/POSIX program that provides the data transport
 function for fax applications using any Class 1 or Class 2 fax modem.
 Another program, efix, converts between fax, text, bit-map and gray-scale
 formats. fax, a shell script, provides a simple user interface to the efax
 and efix programs. It allows you to send text or Postscript files as faxes
 and receive, print or preview received faxes.
 .
 The ghostscript package is needed to fax Postscript files, and a image
 viewing program as xloadimage is need to view incoming faxes.
 .
 Note that you probably have to adapt /etc/efax.rc to your needs.

Justification: No upload in 1.5 years, doesn't respond to ping, nor to bugs



Changed Bug title. Request was from MJ Ray <mjr@dsl.pipex.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to mjr@debian.org. Request was from MJ Ray <mjr@dsl.pipex.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 280691@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 280691@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>, mjr@debian.org
Subject: Re: Bug#280691 submitter address changed (I use efax, so will give it a go.)
Date: Thu, 19 May 2005 20:07:47 +0200
submitter 280691 !
owner 280691 MJ Ray <mjr@debian.org>
retitle 280691 ITA: efax -- Programs to send and receive fax messages
thanks

On Thu, May 19, 2005 at 11:03:11AM -0700, Debian Bug Tracking System wrote:
> The submitter address recorded for your Bug report
> #280691: ITA: efax: Programs to send and receive fax messages
> has been changed.
> 
> The new submitter address for this report is
> mjr@debian.org.
> 
> This change was made by
> MJ Ray <mjr@dsl.pipex.com>.
> If it was incorrect, please contact them directly.

Hi!

As documented on www.debian.org/devel/wnpp, please do not change the
submitter of wnpp bugs (in general, of any bug unless to correct email
addresses), but rather set the owner. I submitted it, you're assuming
responability of 'fixing' it. I now corrected this, no need to do so
yourself.

Also, you typo'd the syntax of the bug title when retitling, fixed that
too.

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Changed Bug submitter from mjr@debian.org to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as MJ Ray <mjr@debian.org>. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #25 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: MJ Ray <mjr@dsl.pipex.com>
Cc: 280691-quiet@bugs.debian.org
Subject: Bug#280691: ITA: efax -- Programs to send and receive fax messages
Date: Mon, 15 Aug 2005 13:12:23 +0200
On Thu, May 19, 2005 at 06:51:39PM +0100, MJ Ray wrote:
> package wnpp
> retitle 280691 ITA: efax: Programs to send and receive fax messages
> submitter 280691 mjr@debian.org

Do you still intend to adopt efax?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #30 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: MJ Ray <mjr@debian.org>
Cc: 280691-quiet@bugs.debian.org
Subject: Bug#280691: ITA: efax -- Programs to send and receive fax messages
Date: Mon, 15 Aug 2005 13:56:18 +0200
On Thu, May 19, 2005 at 06:51:39PM +0100, MJ Ray wrote:
> package wnpp
> retitle 280691 ITA: efax: Programs to send and receive fax messages
> submitter 280691 mjr@debian.org

Do you still intend to adopt efax?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #35 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: <vela@debian.org>,<280691-quiet@bugs.debian.org>
Subject: Re: Bug#280691: ITA: efax -- Programs to send and receive fax messages
Date: Wed, 24 Aug 2005 10:28:23 +0100
> Do you still intend to adopt efax?  (This is just a ping, I'm not
> interested in adopting it myself.)

Yes. Sorry for the delay.




Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #40 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: MJ Ray <mjr@phonecoop.coop>
Cc: <280691-quiet@bugs.debian.org>
Subject: Re: Bug#280691: ITA: efax -- Programs to send and receive fax messages
Date: Mon, 26 Sep 2005 20:13:59 +0200
MJ Ray <mjr@phonecoop.coop> writes:

>> Do you still intend to adopt efax?  (This is just a ping, I'm not
>> interested in adopting it myself.)
>
> Yes. Sorry for the delay.

Sorry for nagging, but can you do an upload to avoid the debconf mass
bug filing?  Alternatively, mind if I do a QA upload?

Thanks,

Matej



Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #45 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: MJ Ray <mjr@debian.org>
Cc: <280691-quiet@bugs.debian.org>, <debian-qa@lists.debian.org>
Subject: Removing efax
Date: Sat, 01 Oct 2005 20:48:42 +0200
Hi,

On Mon, Sep 26, 2005 at 20:13:59 +0200, Matej Vela wrote:
> On Wed, Aug 24, 2005 at 10:28:23 +0100, MJ Ray wrote:
> > On Mon, Aug 15, 2005 at 13:12:23 +0200, Matej Vela wrote:
> > > Do you still intend to adopt efax?  (This is just a ping, I'm not
> > > interested in adopting it myself.)
> >
> > Yes. Sorry for the delay.
>
> Sorry for nagging, but can you do an upload to avoid the debconf mass
> bug filing?  Alternatively, mind if I do a QA upload?

On second thought, maybe we should simply remove efax?  It hasn't had
an upstream release in 5 years [1], it chokes on files produced by
dvi2fax [2], and we have better maintained alternatives [3] [4].

[1] <http://www.cce.com/efax/download/efax-0.9a-001114.tar.gz>
[2] <http://bugs.debian.org/175239>
[3] <http://packages.debian.org/mgetty-fax>
[4] <http://packages.debian.org/hylafax-server>

Thanks,

Matej



Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vassilii Khachaturov <vassilii@tarunz.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #50 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Vassilii Khachaturov <vassilii@tarunz.org>
To: Matej Vela <vela@debian.org>, <280691-quiet@bugs.debian.org>
Cc: MJ Ray <mjr@debian.org>, <debian-qa@lists.debian.org>
Subject: Re: Bug#280691: Removing efax
Date: Sat, 1 Oct 2005 22:15:19 +0300 (IDT)
> an upstream release in 5 years [1], it chokes on files produced by
> dvi2fax [2], and we have better maintained alternatives [3] [4].
>
> [1] <http://www.cce.com/efax/download/efax-0.9a-001114.tar.gz>
> [2] <http://bugs.debian.org/175239>
> [3] <http://packages.debian.org/mgetty-fax>
> [4] <http://packages.debian.org/hylafax-server>

Please do not remove efax. efax/efax-gtk
is the only normal and easy to use standalone
desktop machine program that also works with cheap class 1
linmodems like the one I have (a pct789).

V.




Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #55 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Vassilii Khachaturov <vassilii@tarunz.org>
Cc: MJ Ray <mjr@debian.org>, <280691-quiet@bugs.debian.org>, <debian-qa@lists.debian.org>
Subject: Re: Bug#280691: Removing efax
Date: Sat, 01 Oct 2005 22:10:37 +0200
Vassilii Khachaturov <vassilii@tarunz.org> writes:

> Please do not remove efax. efax/efax-gtk
> is the only normal and easy to use standalone
> desktop machine program that also works with cheap class 1
> linmodems like the one I have (a pct789).

It doesn't work with mgetty-fax or HylaFAX [1]?  Or did you mean that
those are not standalone and easy-to-use?

I have no objection to keeping it if someone is willing to finally
maintain it...

[1] Some people seem to have gotten it to work:
    <http://linmodems.technion.ac.il/archive-fourth/msg03496.html>

Thanks,

Matej



Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vassilii Khachaturov <vassilii@tarunz.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #60 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Vassilii Khachaturov <vassilii@tarunz.org>
To: Matej Vela <vela@debian.org>
Cc: MJ Ray <mjr@debian.org>, <280691-quiet@bugs.debian.org>, <debian-qa@lists.debian.org>
Subject: Re: Bug#280691: Removing efax
Date: Sat, 1 Oct 2005 23:36:55 +0300 (IDT)
> It doesn't work with mgetty-fax or HylaFAX [1]?  Or did you mean that
> those are not standalone and easy-to-use?

both. mgetty.info explains how cls2 is the only way to go and how cls1
will never be supported. I remember having some problem with hylafax,
too, but it was before mgetty, and thus not as strong in my memory.

> [1] Some people seem to have gotten it to work:
>     <http://linmodems.technion.ac.il/archive-fourth/msg03496.html>

Could be smth other than the cls1. Reading your doc link it looks
like it is possible indeed. mgetty+fax definitely won't work.

In both cases, efax is much more friendly for an average desktop user,
even if the modem is supported.

Vassilii




Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #65 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: <vassilii@tarunz.org>,<vela@debian.org>,<280691-quiet@bugs.debian.org>,"MJ Ray" <mjr@debian.org>,<debian-qa@lists.debian.org>
Subject: Re: Bug#280691: Removing efax
Date: Sun, 02 Oct 2005 11:16:35 +0100
Indeed. efax is better than the alternatives for many users.

The recent emails from Matej did not reach me. I expect people to
try another route when it's so obvious that the emails weren't seen,
before calling for package removal, which should be last resort.

As you may appreciate for a package without an upstream release for
a long time, there are a quite a few bugs to squash. Maybe I will
give up on some for now just to upload and avoid Matej's attention.




Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #70 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: MJ Ray <mjr@phonecoop.coop>
Cc: <vassilii@tarunz.org>, <280691-quiet@bugs.debian.org>, <debian-qa@lists.debian.org>
Subject: Re: Bug#280691: Removing efax
Date: Sun, 02 Oct 2005 13:30:38 +0200
MJ Ray <mjr@phonecoop.coop> writes:

> Indeed. efax is better than the alternatives for many users.
>
> The recent emails from Matej did not reach me. I expect people to
> try another route when it's so obvious that the emails weren't seen,

As evidenced by your reply on August 24?  And August 15 is "recent"?

> before calling for package removal, which should be last resort.

No harm in asking questions.  It's not like I reassigned it to
ftp.debian.org (which I would have if I thought it was clear-cut).

> As you may appreciate for a package without an upstream release for
> a long time, there are a quite a few bugs to squash. Maybe I will
> give up on some for now just to upload and avoid Matej's attention.

Great, the QA boogeyman. :-(

Cheers,

Matej



Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #75 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: MJ Ray <mjr@phonecoop.coop>
Cc: <vassilii@tarunz.org>, <vela@debian.org>, <280691-quiet@bugs.debian.org>, "MJ Ray" <mjr@debian.org>, <debian-qa@lists.debian.org>
Subject: Re: Bug#280691: Removing efax
Date: Sun, 02 Oct 2005 06:54:06 -0700
MJ Ray <mjr@phonecoop.coop> writes:

> As you may appreciate for a package without an upstream release for
> a long time, there are a quite a few bugs to squash. Maybe I will
> give up on some for now just to upload and avoid Matej's attention.

There is never anything wrong with fixing some bugs and leaving others
for later.  It is normally a bad idea to delay an upload that fixes
bug A just because you haven't fixed bug B yet.




Information stored:
Bug#280691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #80 received at 280691-quiet@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: <tb@becket.net>,<vassilii@tarunz.org>,<vela@debian.org>,<280691-quiet@bugs.debian.org>,"MJ Ray" <mjr@debian.org>,<debian-qa@lists.debian.org>
Subject: Re: Bug#280691: Removing efax
Date: Sun, 02 Oct 2005 15:35:39 +0100
Thomas Bushnell BSG <tb@becket.net>
> There is never anything wrong with fixing some bugs and leaving others
> for later.  It is normally a bad idea to delay an upload that fixes
> bug A just because you haven't fixed bug B yet.

Many of the bugs are claimed to be fixed, but the merge
and tests were already delayed by the maintainer change. I
thought I should try to fix these outstanding bugs first,
which is the advice given for adopting an orphaned package
on http://www.debian.org/devel/wnpp/#l3 - and these bugs look
fixable, just needing testing. However, I'll drop fixes which I
still doubt, retest and do an upload in the next 24h.  I hope
you will update the advice for adopters soon.

Matej used insincere apologies, emailing -quiet@bugs addresses
(while putting my address on emails that never reached here)
and suggesting removal after only 5 days without reply (the
emails from Monday and Saturday which I see on the bug log
is what I meant by "recent"). This is not the "QA boogeyman"
which I read in Matej's email today to the bug log: I'm
amazed if the above behaviour is encouraged by debian-qa.

Finally, I've just realised what Matej means by "the debconf
mass bug filing". A reference would have been helpful. I was
thinking it was some daft decision taken at this summer's
conference, not the announcement about the Depends :-D
http://lists.debian.org/debian-devel/2005/08/msg00136.html

-- 
MJR/slef




Reply sent to MJ Ray (Debian) <mjr@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #85 received at 280691-close@bugs.debian.org (full text, mbox):

From: MJ Ray (Debian) <mjr@debian.org>
To: 280691-close@bugs.debian.org
Subject: Bug#280691: fixed in efax 1:0.9a-16
Date: Mon, 03 Oct 2005 09:02:05 -0700
Source: efax
Source-Version: 1:0.9a-16

We believe that the bug you reported is fixed in the latest version of
efax, which is due to be installed in the Debian FTP archive:

efax_0.9a-16.diff.gz
  to pool/main/e/efax/efax_0.9a-16.diff.gz
efax_0.9a-16.dsc
  to pool/main/e/efax/efax_0.9a-16.dsc
efax_0.9a-16_i386.deb
  to pool/main/e/efax/efax_0.9a-16_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 280691@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
MJ Ray (Debian) <mjr@debian.org> (supplier of updated efax package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  3 Oct 2005 16:47:22 +0100
Source: efax
Binary: efax
Architecture: source i386
Version: 1:0.9a-16
Distribution: unstable
Urgency: low
Maintainer: MJ Ray (Debian) <mjr@debian.org>
Changed-By: MJ Ray (Debian) <mjr@debian.org>
Description: 
 efax       - programs to send and receive fax messages
Closes: 198149 202668 207911 238136 280691 322255 322258 322259
Changes: 
 efax (1:0.9a-16) unstable; urgency=low
 .
   * New maintainer (Closes: #280691)
   * Patch from Joerg Dorchain to correct faxmail and attach faxes
     (Closes: #238136)
   * Patch to read other CONFIGFILES from Paolo P. (Closes: #198149)
   * Make efax logfiles end .efax.log because mgetty-fax is using our
     spool too (Closes: #207911)
   * Add version to libpaperg dependency (Closes: #322255)
   * Update website URL in man efax (Closes: #322258)
   * Correct example in man fax (Closes: #322259)
   * Give better error message when non-fax-capable modem supports
     +FCLASS command (Closes: #202668)
   * Add debconf-2.0 as an alternative for debconf
   * Small typing fix to Description
Files: 
 f702fb351540df541ffb8d2ef4f08bbd 557 comm optional efax_0.9a-16.dsc
 05a82d4565c7291405e9f26728e04686 17463 comm optional efax_0.9a-16.diff.gz
 348a44a916b4d390ccdc5d42672f77e4 106306 comm optional efax_0.9a-16_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDQVU8mUY5euFC5vQRAmN7AJwPQrmsBRby/FcTkkQToxrnWNTJ2ACfd/qB
PLxfpPOCfblrjdeKhJqrjUY=
=JG2m
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:22:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:57:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.